Home

book_changes

POST
https://xrp.nownodes.io/

Authorizations

ApiKeyAuthApiKeyAuth

api-key string

NOWNodes API key passed in the api-key header.

Retrieve order book changes for a specific ledger. This method returns changes in trading pairs including price movements and volume data.

Body

application/json

Retrieve order book changes for a specific ledger. This method returns changes in trading pairs including price movements and volume data.

JSON-RPC request payload.

methodstringbook_changesrequired

The JSON-RPC method name

paramsArray<object>required

Ordered JSON-RPC method parameters.

Show child attributes
ledger_indexintegerrequired

The ledger index for which to retrieve book changes. Must be a validated ledger index.

Response

200OK

HTTP 200 response for book_changes. The body contains either a successful result or a method-level JSON-RPC error.

400Bad Request

Bad Request. The request body is malformed or contains invalid JSON-RPC parameters.

401Unauthorized

Unauthorized: API key is present but rejected by the NOWNodes gateway.

405Method Not Allowed

Method Not Allowed. Returned by the NOWNodes gateway for malformed or unsupported gateway-level requests.

422Unprocessable Entity

Missing API key. The NOWNodes gateway returns plain text for this error.

500Internal Server Error

Internal Server Error. The gateway or node failed while processing the request.